/*
	descrypt.h
	Copyright (C) 2000 David Fifield

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2, or (at your option)
	any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _DESCRYPT_H
#define _DESCRYPT_H

#include <stdio.h>

struct prog_option_t {
	char *in_filename;
	int crypt_dir;	/* DES_ENCRYPT or DES_DECRYPT */
	char *key_filename;
	int crypt_mode;	/* MODE_ECB, MODE_CBC, MODE_OFB, or MODE_CFB */
	char *out_filename;
	int verbose;
};

void set_prog_option(int argc, char *argv[],
                     struct prog_option_t *prog_option);

void print_help(FILE *s);

void print_version(FILE *s);

void error(char *fmt, ...);

void warning(char *fmt, ...);

#endif

